Option Explicit

Include "pva-agent-helper.vbs"

' This constant is replaced by the build system. In the result script this bool value will reflect 
' the configfuration of the PVA core. If PVA_MN_CORE is 1, then we work for PVA management node core,
' otherwise the core we deal with is for salve agent.    
const PVA_MN_CORE=0' 1
LogProgress "Executing " & Wscript.ScriptName & " PVA_MN_CORE=" & PVA_MN_CORE

' Call configuration script
TunePlugins SafeGetInstallDir(PVA_MN_CORE)

If Err.number = 0 Then
	LogProgress Wscript.ScriptName & " finished succesfully"
	WScript.Quit 0
Else
	FailedQuitErr "Failed to execute " & Wscript.ScriptName
End If
'
' Functions
'
' Include vzlVBLib.vbs
Sub Include(cNameScript)
	On Error Resume Next
	Dim oFS, oFile
	
	cNameScript = Mid(Wscript.ScriptFullName, 1, InStrRev(Wscript.ScriptFullName, "\")) & cNameScript
	
	Set oFS = CreateObject("Scripting.Filesystemobject")
	
	Set oFile = oFS.OpenTextFile(cNameScript)
	If Err.number <> 0 Then
		WScript.Echo "Failed to open include file '" & cNameScript & "' - " & Err.source & ", " & Err.Description
		WScript.Quit(-1)
	End If
	
	ExecuteGlobal oFile.ReadAll()
	If Err.number <> 0 Then
		WScript.Echo "Failed to ExecuteGlobal include file '" & cNameScript & "' - " & Err.source & ", " & Err.Description
		WScript.Quit(-1)
	End If

	oFile.Close
End Sub

Sub TunePlugins(installFolder)
	LogProgress "Start tuning vocabularies"
	Dim fso, pluginsFolder, folder, file, archSuffix, osVersion
	Set fso = CreateObject("Scripting.FileSystemObject")
	archSuffix = GetCpuArch
	osVersion = GetOsVersion
	If osVersion <> 6 Then
		If archSuffix = "i386" Then archSuffix = "windows" Else archSuffix = "windows." & archSuffix
	Else
		If archSuffix = "i386" Then archSuffix = "w2k8" Else archSuffix = "w2k8." & archSuffix
	End If
	
	Set pluginsFolder = fso.GetFolder(installFolder & "\plugins")
	For Each folder In pluginsFolder.SubFolders
		Dim vocName, srcVocName
		vocName = folder.Path & "\" & folder.Name & ".voc"
		srcVocName = vocName & "." & archSuffix
		If fso.FileExists(srcVocName) Then
			CopyFile srcVocName, vocName
		End If
	Next
	LogProgress "Finish tuning vocabularies"
End Sub
